Summary:	Python's own image processing library 
Name:		python-imaging
Version: 	1.1.5
Release: 	1
License:	MIT style
Group:		Graphics
URL:		http://www.pythonware.com/products/pil/
Source0:	Imaging-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	python
BuildRequires:	python-devel

%description
Python Imaging Library version %{version}
   
The Python Imaging Library (PIL) adds image processing capabilities 
to your Python interpreter.

This library provides extensive file format support, an efficient
internal representation, and powerful image processing capabilities.

%package 	devel
Summary:	Header files for python-imaging
Group:		Development

%description 	devel
Header files for the Python Imaging Library version %{version}.

%prep
%setup -q -n Imaging-%{version}
# fix tk version
perl -p -i -e 's/8.3/8.4/g' Setup.in
# Make sure to get the right python library
perl -pi -e "s,(\\\$\((exec_prefix|prefix|exec_installdir)\)|/usr/X11R6)/lib\b,\1/%{_lib},g" Makefile.pre.in Setup.in
# Nuke references to /usr/local
perl -pi -e "s,(-[IL]/usr/local/(include|lib)),,g" Setup.in

%build
python setup.py build_ext -i
python selftest.py

%install
rm -fr $RPM_BUILD_ROOT
find . -type f | xargs perl -pi -e 's@/usr/local/bin/python@/usr/bin/python@'
python setup.py install --root=$RPM_BUILD_ROOT
cd libImaging
mkdir -p  $RPM_BUILD_ROOT%{_includedir}/python2.4
install -m 644 ImPlatform.h Imaging.h $RPM_BUILD_ROOT%{_includedir}/python2.4/

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :                                                                               
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :                                                                              
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :                                                                            
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :                                                                           
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :                                                                          
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :                                                                        
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :                                                                     
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :                                                                    
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :                                                                  
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :                                                                     
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%{_bindir}
%{_libdir}

%files devel
%defattr (-,root,root)
%{_includedir}
